## fast5 0~20150918

=== src/Makefile ===
a: a.cpp fast5.hpp hdf5_tools.hpp
	g++ -std=c++11 -O0 -g3 -ggdb -fno-eliminate-unused-debug-types -Wall -Wextra -pedantic -Wno-unused-parameter -o $@ $^ -L /usr/local/lib -lhdf5

=== debian/changelog ===
fast5 (0~20150918-1) unstable; urgency=low

  * Initial release - upstream git revision 0639cc5 (Closes: #811460)

 -- Afif Elghraoui <afif@ghraoui.name>  Tue, 19 Jan 2016 21:00:20 -0800

=== debian/control ===
Source: fast5
Section: libs
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
	Afif Elghraoui <afif@ghraoui.name>,
Build-Depends:
	debhelper (>= 9),
Standards-Version: 3.9.6
Homepage: https://github.com/mateidavid/fast5
Vcs-Git: git://anonscm.debian.org/debian-med/fast5.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/fast5.git

Package: libfast5-dev
Section: libdevel
Architecture: all
Depends:
	${misc:Depends},
	libhdf5-dev | libhdf5-mpich-dev | libhdf5-openmpi-dev,
Description: library for reading Oxford Nanopore Fast5 files -- headers
 A lightweight C++11 library to read raw signal data from Oxford
 Nanopore's FAST5 files.
 .
 This package provides the header files for development with fast5.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
#include /usr/share/dpkg/default.mk

%:
	dh $@

=== debian/tests/control ===
Test-Command: cd src && make; make clean
Depends:
	@,
	make,
Restrictions:
	rw-build-tree,

=== debian/watch ===
version=3

# Upstream has no formal releases for this project. We update this
# as needed for nanopolish (where it's bundled)

## fast5 0.5.6

=== debian/changelog ===
fast5 (0.5.6-1) unstable; urgency=medium

  * Activate d/watch
  * Imported Upstream version 0.5.6 (Closes: #832035)
  * Update copyright years and email address
  * Change section to science
  * Bump Standards-Version to 3.9.8
  * Use encrypted protocols for VCS URLs
  * Remove obsolete autopkgtest
  * Update patches
  * Update name of README
  * Remove obsolete examples

 -- Afif Elghraoui <afif@debian.org>  Thu, 11 Aug 2016 23:09:17 -0700

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: fast5
-Section: libs
+Section: science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders:
-	Afif Elghraoui <afif@ghraoui.name>,
+Uploaders: Afif Elghraoui <afif@debian.org>
 Build-Depends:
 	debhelper (>= 9),
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/mateidavid/fast5
-Vcs-Git: git://anonscm.debian.org/debian-med/fast5.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/fast5.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/fast5.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/fast5.git
 
 Package: libfast5-dev
 Section: libdevel

## fast5 0.5.8

=== python/Makefile ===
.SUFFIXES:
MAKEFLAGS += -r
SHELL := /bin/bash
.DELETE_ON_ERROR:
.PHONY: all help clean check_virtualenv develop develop-user develop-uninstall develop-uninstall-user

PYTHON = $(shell which python)

all: help

print-%:
	@echo '$*=$($*)'

help: ## This help.
	@awk 'BEGIN {FS = ":.*?## "} /^[a-zA-Z_-]+:.*?## / {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}' $(MAKEFILE_LIST)

clean: ## Remove build products
	${PYTHON} setup.py clean
	rm -rf fast5.egg-info build dist
	find fast5/ \( -name '*.pyc' -o -name '*.so' \) -delete

check_virtualenv:
	@[ "$$VIRTUAL_ENV" ] || { echo "not in a virtualenv" >&2; exit 1; }

develop: check_virtualenv clean ## Install in develop mode to current virtualenv
	${PYTHON} setup.py develop

develop-user: clean ## Install in develop mode to current user
	${PYTHON} setup.py develop --user

develop-uninstall: check_virtualenv clean ## Uninstall from current virtualenv
	${PYTHON} setup.py develop --uninstall

develop-uninstall-user: clean ## Uninstall from current user
	${PYTHON} setup.py develop --uninstall --user

=== src/Makefile ===
.SUFFIXES:
MAKEFLAGS += -r
SHELL := /bin/bash
.DELETE_ON_ERROR:
.PHONY: all help list clean check_hdf5

HDF5_DIR = /usr/local
HDF5_INCLUDE_DIR = ${HDF5_DIR}/include
HDF5_LIB_DIR = ${HDF5_DIR}/lib
HDF5_LIB = hdf5

TARGETS = f5dump f5dump-full hdf5-mod f5-mod

all: ${TARGETS}

print-%:
	@echo '$*=$($*)'

help: ## This help.
	@awk 'BEGIN {FS = ":.*?## "} /^[a-zA-Z_-]+:.*?## / {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}' $(MAKEFILE_LIST)

list:
	@echo "TARGETS=${TARGETS}"

clean:
	rm -rf ${TARGETS}

check_hdf5:
	@[ -f "${HDF5_INCLUDE_DIR}/H5pubconf.h" ] || { echo "HDF5 headers not found" >&2; exit 1; }
	@[ -f "${HDF5_LIB_DIR}/lib${HDF5_LIB}.so" ] || [ -f "${HDF5_LIB_DIR}/lib${HDF5_LIB}.a" ] || { echo "HDF5 library not found" >&2; exit 1; }

%: %.cpp fast5.hpp hdf5_tools.hpp | check_hdf5
	${CXX} -std=c++11 -O0 -g3 -ggdb -fno-eliminate-unused-debug-types -Wall -Wextra -Wpedantic -isystem ${HDF5_INCLUDE_DIR} -o $@ $< -L${HDF5_LIB_DIR} -Wl,--rpath=${HDF5_LIB_DIR} -l${HDF5_LIB} -lpthread -lz -ldl

=== debian/changelog ===
fast5 (0.5.8-1) unstable; urgency=medium

  * Imported Upstream version 0.5.8
  * New binary packages: python-fast5 and python3-fast5
  * Install examples and configure tests

 -- Afif Elghraoui <afif@debian.org>  Thu, 20 Oct 2016 23:24:01 -0700

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,13 @@
 Uploaders: Afif Elghraoui <afif@debian.org>
 Build-Depends:
 	debhelper (>= 9),
+	dh-python,
+	libhdf5-dev,
+	libboost-python-dev,
+	python-all-dev,
+	python-setuptools,
+	python3-all-dev,
+	python3-setuptools,
 Standards-Version: 3.9.8
 Homepage: https://github.com/mateidavid/fast5
 Vcs-Git: https://anonscm.debian.org/git/debian-med/fast5.git
@@ -21,3 +28,29 @@
  Nanopore's FAST5 files.
  .
  This package provides the header files for development with fast5.
+
+Package: python-fast5
+Section: python
+Architecture: any
+Depends:
+	${shlibs:Depends},
+	${misc:Depends},
+	${python:Depends},
+Description: library for reading Oxford Nanopore Fast5 files -- Python 2
+ A lightweight C++11 library to read raw signal data from Oxford
+ Nanopore's FAST5 files.
+ .
+ This package provides the Python 2 library
+
+Package: python3-fast5
+Section: python
+Architecture: any
+Depends:
+	${shlibs:Depends},
+	${misc:Depends},
+	${python3:Depends},
+Description: library for reading Oxford Nanopore Fast5 files -- Python 3
+ A lightweight C++11 library to read raw signal data from Oxford
+ Nanopore's FAST5 files.
+ .
+ This package provides the Python 3 library

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
export LC_ALL=C.UTF-8
include /usr/share/dpkg/default.mk

export PYBUILD_NAME=fast5

export HDF5_INCLUDE_DIR=/usr/include/hdf5/serial
export HDF5_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
export BOOST_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@ --with python2,python3 --buildsystem=pybuild \
	--sourcedirectory=python

override_dh_auto_build:
	mkdir -p src/fast5
	ln -sf ../hdf5_tools.hpp src/fast5/hdf5_tools.hpp
	dh_auto_build

override_dh_auto_test:
	cd src && $(MAKE) CPPFLAGS=-I$(CURDIR)/src

override_dh_auto_clean:
	cd src && $(MAKE) clean
	$(RM) -r src/fast5
	dh_auto_clean

override_dh_compress:
	dh_compress -X .cpp

=== debian/tests/control ===
Test-Command:
	cp /usr/share/doc/libfast5-dev/examples/* $ADTTMP
	&& cd $ADTTMP
	&& make
Depends:
	build-essential,
	libfast5-dev,

Test-Command:
	python -c "import fast5"
Depends:
	python-fast5

Test-Command:
	python3 -c "import fast5"
Depends:
	python3-fast5

## fast5 0.6.3

=== debian/changelog ===
fast5 (0.6.3-1ubuntu1) artful; urgency=medium

  * Allow stderr output in autpkgtests to ignore
    notes emitted by GCC7 on armhf.

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 18 Oct 2017 09:44:29 +0000

fast5 (0.6.3-1) unstable; urgency=medium

  * New upstream version
  * Vastly simplified packaging after upstream patches accepted
  * Don't hard-code hdf5-serial
  * Fix source build in autopkgtest (Closes: #876283)

 -- Afif Elghraoui <afif@debian.org>  Tue, 17 Oct 2017 20:03:31 -0400

fast5 (0.6.2-7) unstable; urgency=medium

  * Reorganize executables package
    - replace python{,3}-fast5-bin with fast5
    - require executables package version to match
      library version

 -- Afif Elghraoui <afif@debian.org>  Sun, 01 Oct 2017 11:55:15 -0400

fast5 (0.6.2-6) unstable; urgency=medium

  * Team upload
  * Create yet another dir before moving files.
    Now truly Closes: #875991

 -- Steffen Moeller <moeller@debian.org>  Sun, 17 Sep 2017 17:40:44 +0200

fast5 (0.6.2-5) unstable; urgency=medium

  * Team upload
  * Fix clean target
  * Create dir before moving files
    Closes: #875991
  * DEP3
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Sun, 17 Sep 2017 07:37:57 +0200

fast5 (0.6.2-4) unstable; urgency=medium

  * Added build dependency on cython.

 -- Steffen Moeller <moeller@debian.org>  Sat, 16 Sep 2017 23:36:27 +0200

fast5 (0.6.2-3) unstable; urgency=medium

  * Completed include files to be redistributed
    for a functional package.

 -- Steffen Moeller <moeller@debian.org>  Fri, 15 Sep 2017 19:20:53 +0200

fast5 (0.6.2-2) unstable; urgency=medium

  * Corrected for erroneously declared conflict
    between python3-fast5 and python-fast5.

 -- Steffen Moeller <moeller@debian.org>  Fri, 15 Sep 2017 18:19:20 +0200

fast5 (0.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Updated policy to 4.1.0 (no changes reguired)
  * Patches
    - Uncommented two older patches that do not seem to fit current
      build structure
    - Added patch for gcc-7 compatibility
    - Added patch to adjusted include path for hdf5.h
  * ./debian/rules binary works, still trouble with generated files
  * Added separate packages for the binaries to avoid conflicts between
    the Python2 and Python3 versions of the same binaries.

 -- Steffen Moeller <moeller@debian.org>  Fri, 15 Sep 2017 13:46:49 +0200

fast5 (0.5.9-1) UNRELEASED; urgency=medium

  * Imported Upstream version 0.5.9
  * Update patches

  * d/debian/upstream/metadata: References to registries
    (Steffen Moeller)

 -- Afif Elghraoui <afif@debian.org>  Thu, 29 Dec 2016 00:43:11 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fast5
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Afif Elghraoui <afif@debian.org>
 Build-Depends:
 	debhelper (>= 9),
@@ -12,10 +13,24 @@
 	python-setuptools,
 	python3-all-dev,
 	python3-setuptools,
-Standards-Version: 3.9.8
+	cython,
+	cython3
+Standards-Version: 4.1.0
 Homepage: https://github.com/mateidavid/fast5
 Vcs-Git: https://anonscm.debian.org/git/debian-med/fast5.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/fast5.git
+
+Package: fast5
+Architecture: all
+Depends:
+	${misc:Depends},
+	${python3:Depends},
+	python3-fast5 (>= ${source:Version}),
+Description: utilities for manipulating Oxford Nanopore Fast5 files
+ The data produced by Oxford Nanopore Technologies (ONT) sequencers
+ are stored in fast5 files, based on the HDF5 file format, with one
+ file per sequenced read. This package provides utilities to inspect
+ these files, as well as to pack them for more effficient use.
 
 Package: libfast5-dev
 Section: libdevel

## fast5 0.6.5

=== python/Makefile ===
--- 
+++ 
@@ -1,3 +1,10 @@
+#
+# Part of: https://github.com/mateidavid/fast5
+#
+# (c) 2017: Matei David, Ontario Institute for Cancer Research
+# MIT License
+#
+
 .SUFFIXES:
 MAKEFLAGS += -r
 SHELL := /bin/bash
@@ -16,16 +23,21 @@
 
 clean: ## Remove build products
 	${PYTHON} setup.py clean
-	rm -rf fast5.egg-info build dist
-	find fast5/ \( -name '*.pyc' -o -name '*.so' \) -delete
+	rm -rf build dist fast5.egg-info fast5*.so
 
 check_virtualenv:
 	@[ "$$VIRTUAL_ENV" ] || { echo "not in a virtualenv" >&2; exit 1; }
 
-develop: check_virtualenv clean ## Install in develop mode to current virtualenv
+install: check_virtualenv ## Install to current virtualenv
+	${PYTHON} setup.py install
+
+install-user: ## Install to current user
+	${PYTHON} setup.py install --user
+
+develop: check_virtualenv ## Install in develop mode to current virtualenv
 	${PYTHON} setup.py develop
 
-develop-user: clean ## Install in develop mode to current user
+develop-user: ## Install in develop mode to current user
 	${PYTHON} setup.py develop --user
 
 develop-uninstall: check_virtualenv clean ## Uninstall from current virtualenv

=== src/Makefile ===
#
# Part of: https://github.com/mateidavid/fast5
#
# (c) 2017: Matei David, Ontario Institute for Cancer Research
# MIT License
#

.SUFFIXES:
MAKEFLAGS += -r
SHELL := /bin/bash
.DELETE_ON_ERROR:
.PHONY: all help list clean check_hdf5

HDF5_DIR ?= /usr/local
HDF5_INCLUDE_DIR ?= ${HDF5_DIR}/include
HDF5_LIB_DIR ?= ${HDF5_DIR}/lib
HDF5_LIB ?= hdf5
TCLAP_DIR ?= tclap
HPPTOOLS_DIR ?= hpptools
FAST5_DIR ?= ${CURDIR}/../include

TARGETS = f5ls f5ls-full hdf5-mod f5-mod
EXTRA_TARGETS = f5dump f5pack
HPP_FILES := $(addprefix ${FAST5_DIR}/, fast5.hpp fast5/hdf5_tools.hpp fast5/Huffman_Packer.hpp fast5/Bit_Packer.hpp)

CXXFLAGS := -std=c++11 -O0 -g3 -ggdb -fno-eliminate-unused-debug-types -Wall -Wextra -Wpedantic
CPPFLAGS := -isystem ${HDF5_INCLUDE_DIR} -I $(FAST5_DIR)
EXTRA_CPPFLAGS := -isystem ${TCLAP_DIR}/include -I ${HPPTOOLS_DIR}/include
LDFLAGS := -L${HDF5_LIB_DIR} -Wl,--rpath=${HDF5_LIB_DIR} -l${HDF5_LIB} -lpthread -lz -ldl

default: ${TARGETS}

all: default ${EXTRA_TARGETS}

print-%:
	@echo '$*=$($*)'

help: ## This help.
	@awk 'BEGIN {FS = ":.*?## "} /^[a-zA-Z_-]+:.*?## / {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}' $(MAKEFILE_LIST)

list:
	@echo "TARGETS=${TARGETS}"

clean:
	rm -rf ${TARGETS} ${EXTRA_TARGETS}

check_hdf5:
	@[ -f "${HDF5_INCLUDE_DIR}/H5pubconf.h" ] || { echo "HDF5 headers not found" >&2; exit 1; }
	@[ -f "${HDF5_LIB_DIR}/lib${HDF5_LIB}.so" ] || [ -f "${HDF5_LIB_DIR}/lib${HDF5_LIB}.a" ] || { echo "HDF5 library not found" >&2; exit 1; }

check_tclap:
	@[ -f "${TCLAP_DIR}/include/tclap/CmdLine.h" ] || { echo "TCLAP not found; get it from https://github.com/mateidavid/tclap.git" >&2; exit 1; }

check_hpptools:
	@[ -f "${HPPTOOLS_DIR}/include/alg.hpp" ] || { echo "HPPTOOLS not found; get it from https://github.com/mateidavid/hpptools.git" >&2; exit 1; }

%: %.cpp ${HPP_FILES} | check_hdf5
	${CXX} ${CXXFLAGS} ${CPPFLAGS} -o $@ $< ${LDFLAGS}

f5dump: f5dump.cpp ${HPP_FILES} | check_hdf5 check_tclap check_hpptools
	${CXX} ${CXXFLAGS} ${CPPFLAGS} ${EXTRA_CPPFLAGS} -o $@ $< ${LDFLAGS}

f5pack: f5pack.cpp ${HPP_FILES} File_Packer.hpp | check_hdf5 check_tclap check_hpptools
	${CXX} ${CXXFLAGS} ${CPPFLAGS} ${EXTRA_CPPFLAGS} -o $@ $< ${LDFLAGS}

=== debian/changelog ===
fast5 (0.6.5-9build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:02:53 +0000

fast5 (0.6.5-9build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:14:45 +0000

fast5 (0.6.5-9build1) plucky; urgency=medium

  * No-change rebuild against libhdf5-310

 -- Miriam España Acebal <miriam.espana@canonical.com>  Sun, 26 Jan 2025 10:52:59 +0000

fast5 (0.6.5-9) unstable; urgency=medium

  * Team upload.
  * New patch hdf5-1.14.patch: set -DH5_USE_110_API into src/Makefile
    as well, to fix autopkgtest
    Closes: #1090898

 -- Gilles Filippini <pini@debian.org>  Sat, 21 Dec 2024 22:43:21 +0100

fast5 (0.6.5-8) unstable; urgency=medium

  * d/control: set CPPFLAGS to add -DH5_USE_110_API.
    This fixes build failure with hdfs5 1.14.
    Thanks to Gilles Filippini <pini@debian.org> (Closes: #1078976)
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Wed, 21 Aug 2024 16:53:26 +0200

fast5 (0.6.5-7) unstable; urgency=medium

  * d/control: add myself to uploaders.
  * Add gcc-12.patch: fix ftbfs with gcc-12. (Closes: #1012919)
  * Standards-Version: 4.6.1 (routine-update)
  * Add build-flags.patch: propagate standard debian build flags.
  * d/rules: remove redundant build flag setting.

 -- Étienne Mollier <emollier@debian.org>  Sun, 26 Jun 2022 14:41:32 +0200

fast5 (0.6.5-6) unstable; urgency=medium

  * Really fix watch file
  * Add missing build dependency on dh addon.

 -- Andreas Tille <tille@debian.org>  Tue, 18 Jan 2022 08:02:24 +0100

fast5 (0.6.5-5) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + python3-fast5: Add Multi-Arch: same.

 -- Andreas Tille <tille@debian.org>  Mon, 11 Oct 2021 10:48:59 +0200

fast5 (0.6.5-4) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * Drop Python2 call completely from autopkg test, (Closes: #943427)
    Fix courtesy of Matthias Klose <doko@ubuntu.com>; thanks!

  [ Andreas Tille ]
  * Standards-Version: 4.4.1
  * debian/copyright: Use spaces rather than tabs in continuation lines.
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Thu, 21 Nov 2019 09:14:17 +0100

fast5 (0.6.5-3) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Andreas Tille ]
  * Afif removed himself from Uploaders
  * Add myself as Uploader
  * Drop Python2 support
    Closes: #936504
  * Simplify watch file
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/copyright
  * Drop deprecated restrictions . See https://salsa.debian.org/ci-
    team/autopkgtest/tree/master/doc/README.package-tests.rst

 -- Andreas Tille <tille@debian.org>  Wed, 04 Sep 2019 15:01:52 +0200

fast5 (0.6.5-2) unstable; urgency=medium

  * Team upload.
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Do not install example binaries to enable reproducible builds
    (thanks for the patch to Chris Lamb <lamby@debian.org>)
    Closes: #910655
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test

 -- Andreas Tille <tille@debian.org>  Tue, 09 Oct 2018 14:34:41 +0200

fast5 (0.6.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version 4.1.3
  * Debhelper compat 11

 -- Afif Elghraoui <afif@debian.org>  Sat, 17 Feb 2018 20:43:22 -0500

fast5 (0.6.4-2) unstable; urgency=low

  * Allow stderr output in autpkgtests to ignore notes
    emitted by GCC7 on armhf.
    Thanks to Graham Inggs
  * Bump Standards-Version to 4.1.2

 -- Afif Elghraoui <afif@debian.org>  Sat, 16 Dec 2017 00:13:32 -0500

fast5 (0.6.4-1) unstable; urgency=medium

  * New upstream version
  * Bump Standards-Version to 4.1.1
  * Bump copyright years

 -- Afif Elghraoui <afif@debian.org>  Fri, 10 Nov 2017 15:56:45 -0500

=== debian/control ===
Source: fast5
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libhdf5-dev,
               libboost-python-dev,
               python3-all-dev,
               python3-setuptools,
               cython3,
               debhelper
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/fast5
Vcs-Git: https://salsa.debian.org/med-team/fast5.git
Homepage: https://github.com/mateidavid/fast5
Rules-Requires-Root: no

Package: fast5
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-fast5 (>= ${source:Version})
Description: utilities for manipulating Oxford Nanopore Fast5 files
 The data produced by Oxford Nanopore Technologies (ONT) sequencers
 are stored in fast5 files, based on the HDF5 file format, with one
 file per sequenced read. This package provides utilities to inspect
 these files, as well as to pack them for more effficient use.

Package: libfast5-dev
Architecture: all
Section: libdevel
Depends: ${misc:Depends},
         libhdf5-dev | libhdf5-mpich-dev | libhdf5-openmpi-dev
Description: library for reading Oxford Nanopore Fast5 files -- headers
 A lightweight C++11 library to read raw signal data from Oxford
 Nanopore's FAST5 files.
 .
 This package provides the header files for development with fast5.

Package: python3-fast5
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Multi-Arch: same
Description: library for reading Oxford Nanopore Fast5 files -- Python 3
 A lightweight C++11 library to read raw signal data from Oxford
 Nanopore's FAST5 files.
 .
 This package provides the Python 3 library

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
export LC_ALL=C.UTF-8
include /usr/share/dpkg/default.mk

export PYBUILD_NAME=fast5

export HDF5_INCLUDE_DIR=/usr/include/hdf5/serial
export HDF5_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
export BOOST_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND=-DH5_USE_110_API

%:
	dh $@ --with python3 --buildsystem=pybuild \
	--sourcedirectory=python

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd src && $(MAKE)
endif

override_dh_auto_clean: clean-examples
	dh_auto_clean
	rm -rf python/fast5/fast5.cpp

.PHONY: clean-examples
clean-examples:
	cd src && $(MAKE) clean

override_dh_compress: clean-examples
	dh_compress -X .cpp -X .hpp

override_dh_install:
	dh_install
	mkdir -p debian/fast5/usr/bin/
	mv debian/python3-fast5/usr/bin/* debian/fast5/usr/bin/

=== debian/tests/control ===
Test-Command:
	cp /usr/share/doc/libfast5-dev/examples/* $AUTOPKGTEST_TMP
	&& cd $AUTOPKGTEST_TMP
	&& make FAST5_DIR=/usr/include
	HDF5_INCLUDE_DIR=/usr/include/hdf5/serial
	HDF5_LIB_DIR=/usr/lib/$(gcc -print-multiarch)/hdf5/serial
Depends:
	build-essential,
	libfast5-dev,
Restrictions: allow-stderr

Test-Command:
	python3 -c "import fast5"
Depends:
	python3-fast5

=== debian/watch ===
version=4

https://github.com/mateidavid/fast5/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## fast5 research-1.0.12

=== requirements.txt ===
# fast5_research requirements. 
# Use comment lines or inline comments to document why we are using particular versions
h5py
numpy<=1.13.3 # parsing of asicb commands broken with 1.14
progressbar2
